%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-requestbuilder
Version:        0.2.0
Release:        0.6.pre3%{?dist}
Summary:        Command line-driven HTTP request builder

License:        ISC
URL:            https://github.com/boto/requestbuilder
Source0:        https://pypi.python.org/packages/source/r/requestbuilder/requestbuilder-0.2.0-pre3.tar.gz

BuildArch:      noarch

# Needed to parse __init__.py
BuildRequires:  python-argparse
BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       python-argparse
Requires:       python-requests >= 1
Requires:       python-six

# Show a stack trace when sent SIGUSR1 while --debugger is on
# https://github.com/boto/requestbuilder/commit/6de8e70
Patch1:         requestbuilder-0.2.0-sigusr1.patch

# Fix a typo that breaks BaseCommand.from_other
# https://github.com/boto/requestbuilder/commit/f54c047
Patch2:         requestbuilder-0.2.0-basecommand-from-other.patch

# Fix auth source precedence
# https://github.com/boto/requestbuilder/commit/19dc694
Patch3:         requestbuilder-0.2.0-explicit-auth.patch

# Toast a 2.7-ism that breaks S3 presigned URL generation on python 2.6
# https://github.com/boto/requestbuilder/commit/ea4d4d9
Patch4:         requestbuilder-0.2.0-anti-py27.patch


%description
Requestbuilder is a framework for creating command line tools that send
HTTP requests simply and quickly.


%prep
%setup -q -n requestbuilder-%{version}-pre3
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc README
%{python_sitelib}/*


%changelog
* Wed Apr 23 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.6.pre3
- Show a stack trace when sent SIGUSR1 while --debugger is on
- Fix a typo that breaks BaseCommand.from_other
- Fix auth source precedence
- Toast a 2.7-ism that breaks S3 presigned URL generation on python 2.6

* Thu Apr 17 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.5.pre3
- Updated to 0.2.0-pre3

* Thu Apr  3 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.4.pre2
- Updated to 0.2.0-pre2

* Wed Mar 19 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.3.pre1
- Fixed service URL copypaste issues

* Wed Mar 19 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.2.pre1
- Fixed config log handlers

* Wed Mar 19 2014 Garrett Holmstrom <gholms@fedoraproject.org> - 0.2.0-0.1.pre1
- Updated to 0.2.0-pre1

* Fri Aug 23 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.13
- Updated to 0.1.0 final

* Thu May 30 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.12.beta2
- Updated to 0.1.0 beta 2

* Thu May 16 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.11.beta1
- Updated to 0.1.0 beta 1

* Tue May  7 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.10.alpha10
- Updated to 0.1.0 alpha 10

* Wed May  1 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.9.alpha9.20130501git0a010ad
- Added even more bugfixes from upstream

* Wed May  1 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.8.alpha9.20130501git7d5f0a3
- Added several bugfixes from upstream

* Fri Apr 26 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.7.alpha9
- Updated to 0.1.0 alpha 9

* Wed Apr 17 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.6.alpha8.20130417gite3aa561
- Added several bugfixes

* Tue Apr 16 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.5.alpha8
- Updated to 0.1.0 alpha 8

* Fri Apr 12 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.4.alpha7
- Updated to 0.1.0 alpha 7

* Fri Apr 12 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.3.alpha6
- Updated to 0.1.0 alpha 6

* Mon Apr  1 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.2.alpha5
- Updated to 0.1.0 alpha 5

* Tue Mar 19 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 0.1.0-0.1.alpha4
- Created
